Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665940 - net-analyzer/flow-tools: Validate DEPEND on virtual/mysql
Summary: net-analyzer/flow-tools: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Netmon project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:32 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:32:13 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-02-14 19:51:00 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65092da067a661727d15db17bccd679d84baf10f

commit 65092da067a661727d15db17bccd679d84baf10f
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-14 19:48:29 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-14 19:50:49 +0000

    net-analyzer/flow-tools: Revbump to fix compile and mysql dependency
    
    Non-maintainer commit.
    
    Original ebuild and patch by Robin Johnson <robbat2@gentoo.org>
    Additional change for mysql dep by me
    
    Bug: https://bugs.gentoo.org/674032
    Bug: https://bugs.gentoo.org/665940
    Package-Manager: Portage-2.3.60, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 .../files/flow-tools-0.68.5.1-openssl11.patch      | 47 +++++++++++++
 .../flow-tools/flow-tools-0.68.5.1-r10.ebuild      | 78 ++++++++++++++++++++++
 2 files changed, 125 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2020-09-03 07:31:23 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d6ed17600ee9557ea5393542419bd637d2585fd

commit 8d6ed17600ee9557ea5393542419bd637d2585fd
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-09-03 07:29:24 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-09-03 07:31:20 +0000

    net-analyzer/flow-tools: Version 0.68.6
    
    Package-Manager: Portage-3.0.5, Repoman-3.0.1
    Closes: https://bugs.gentoo.org/665940
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/flow-tools/Manifest                   |  1 +
 .../files/flow-tools-0.68.5.1-fno-common.patch     |  4 +-
 .../files/flow-tools-0.68.5.1-openssl11.patch      |  5 +-
 .../flow-tools/files/flow-tools-0.68.6-mysql.patch | 15 ++++
 net-analyzer/flow-tools/flow-tools-0.68.6.ebuild   | 89 ++++++++++++++++++++++
 5 files changed, 109 insertions(+), 5 deletions(-)